%define module  Devel-Cover
%define name    perl-%{module}
%define version 0.64
%define release %mkrel 2

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Code coverage metrics for Perl
License:        GPL or Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Devel/%{module}-%{version}.tar.bz2
BuildRequires:  perl-devel
BuildRequires:  perl(Test::Differences)
BuildRequires:  perl(Pod::Coverage)
BuildRequires:  perl(Template)
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
This module provides code coverage metrics for Perl. Code coverage metrics
describe how thoroughly tests exercise code. By using Devel::Cover you can find
areas of code not exercised by your tests and find out which tests to create to
increase coverage. Code coverage can be considered as an indirect measure of
quality.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc CHANGES README
%{perl_vendorarch}/Devel
%{perl_vendorarch}/auto/Devel
%{_bindir}/*
%{_mandir}/*/*




%changelog
* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.64-2mdv2009.0
+ Revision: 265356
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.64-1mdv2009.0
+ Revision: 193800
- update to new version 0.64

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.63-3mdv2008.1
+ Revision: 152060
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.63-2mdv2008.1
+ Revision: 110482
- better description

* Mon Nov 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.63-1mdv2008.1
+ Revision: 110283
- update to new version 0.63

* Wed Nov 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.62-1mdv2008.1
+ Revision: 106646
- update to new version 0.62
- update to new version 0.62


* Wed Feb 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.61-1mdv2007.0
+ Revision: 120847
- new version
- Import perl-Devel-Cover

* Sat Aug 26 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.59-1mdv2007.0
- New version 0.59

* Sat Aug 05 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.57-1mdv2007.0
- New version 0.57

* Wed Feb 22 2006 Oden Eriksson <oeriksson@mandriva.com> 0.55-3mdk
- rebuilt against new perl

* Sat Oct 01 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.55-2mdk
- Buildrequires fix

* Sat Sep 24 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.55-1mdk
- New release 0.55

* Wed Sep 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.54-1mdk
- New release 0.54

* Tue Apr 26 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.53-1mdk
- new release
- spec cleanup
- better url

* Fri Mar 04 2005 Guillaume Rousse <guillomovitch@mandrake.org> 0.52-1mdk 
- first mdk release

